Grant Sensitive Access
curl --request POST \
--url https://app.plugchoice.com/api/v3/sites/{site}/teams/{team}/grant-sensitive-data \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expires_never": true,
"data_access_expires_at": "<string>"
}
'import requests
url = "https://app.plugchoice.com/api/v3/sites/{site}/teams/{team}/grant-sensitive-data"
payload = {
"expires_never": True,
"data_access_expires_at": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({expires_never: true, data_access_expires_at: '<string>'})
};
fetch('https://app.plugchoice.com/api/v3/sites/{site}/teams/{team}/grant-sensitive-data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}Team Access
Grant Sensitive Access
POST
/
v3
/
sites
/
{site}
/
teams
/
{team}
/
grant-sensitive-data
Grant Sensitive Access
Grants a team access to sensitive data for the specified location, with an optional expiration date.
The UUID of the location.
The UUID of the team.
Whether the sensitive data access should never expire. Set to
true for permanent access.ISO 8601 date for when the access expires. Required when
expires_never is false. Must be a future date.Response
A confirmation message indicating sensitive data access was granted successfully.
⌘I